import { get, post } from "@/api/index";

export default {
    /**
     * 临时用户列表
     * @param {Object} params
     * @param {Number} params.PageSize
     * @param {Number} params.CurrentIndex
     * @param {Number} params.Keyword
     * @param {Number} params.SortParam 0：注册时间，1：阅读数，2：最近一次阅读时间
     * @param {Number} params.SortType 0：倒序，1：正序
     * @returns 
     */
    getTempCustomList:params=>{
        return get('/user/temporary/list',params)
    },
    /**
     * 
     * @param {Object} params
     * @param {Number} params.PageSize
     * @param {Number} params.CurrentIndex
     * @returns 
     */
    getFeedbackList:params=>{
        return get('/feedBack/feedBackList',params)
    },
    /**
     * 阅读记录列表 
     * @param {Object} params
     * @param {String} params.PageSize
     * @param {String} params.CurrentIndex
     * @param {String} params.ProductType 类型
     * @param {String} params.UserId 用户id
     * @param {String} params.PermissionIds 品种id
     * @returns 
     */
    getUserReadRecordList:params=>{
        return get('/user/readRecordList',params)
    },
    /**
     * 正式用户列表
     * @param {Object} params
     * @param {Number} params.PageSize
     * @param {Number} params.CurrentIndex
     * @param {Number} params.Keyword
     * @param {Number} params.SortParam
     * @param {Number} params.SortType
     * @param {Number} params.FollowingGzh
     * @param {Number} params.RegisterBeginDate 开始时间
     * @param {Number} params.RegisterEndDate 结束时间
     * @returns 
     */
    getOfficialList:params=>{
        return get('/user/official/list',params)
    },
    /**
     * 导出用户列表
     * @param {Object} params
     * @param {Number} params.Keyword
     * @param {Number} params.SortParam
     * @param {Number} params.SortType

     * @returns 
     */
    getTemporaryExport:params=>{
        return get('/user/temporary/export',params)
    },
     /**
     * 导出用户列表
     * @param {Object} params
     * @param {Number} params.Keyword
     * @param {Number} params.SortParam
     * @param {Number} params.SortType

     * @returns 
     */
     getOfficialExport:params=>{
        return get('/user/official/export',params)
    },
    /**
     * @param {Number} params.UserId
     * @returns 
     */
    getUserDetail:params=>{
        return get('/user/detail',params)
    },
};
