import { get, post } from "@/api/index";
export default{
    /**
     * 消息推送-报告列表
     * @param {Object} params 
     * @param {String} params.KeyWord
     * @param {String} params.PermissionIds 筛选的品种id 用,隔开
     * @param {String} params.AnalystNames 筛选的研究员名称 用,隔开
     * @param {String} params.SortType asc desc
     * @param {Number} params.CurrentIndex
     * @param {Number} params.PageSize
     * @returns 
     */
    getReportMsgList:params=>{
        return get('/message/reportList',params)
    },
    /**
     * 消息推送-音频列表
     * @param {Object} params 
     * @param {String} params.KeyWord
     * @param {String} params.PermissionIds 筛选的品种id 用,隔开
     * @param {String} params.AnalystIds 筛选的研究员id 用,隔开
     * @param {String} params.SortType asc desc
     * @param {Number} params.CurrentIndex
     * @param {Number} params.PageSize
     * @returns
     */
    getAudioMsgList:params=>{
        return get('/message/audioList',params)
    },
    /**
     * 消息推送-视频列表
     * @param {Object} params 
     * @param {String} params.KeyWord
     * @param {String} params.PermissionIds 筛选的品种id 用,隔开
     * @param {String} params.AnalystIds 筛选的研究员id 用,隔开
     * @param {String} params.SortType asc desc
     * @param {Number} params.CurrentIndex
     * @param {Number} params.PageSize
     * @returns
     */
    getVideoMsgList:params=>{
        return get('/message/videoList',params)
    },
    /**
     * 消息推送-推送
     * @param {Object} params
     * @param {Number} params.DataId reportId/mediaId
     * @param {String} params.DataType report audio video
     * @returns 
     */
    pushMessage:params=>{
        return post('/message/sendTemplateMsg',params)
    }
}