import { get, post } from "@/api/index";

export default {
    /**
     * 商品订单列表 
     * @param {String} params.PageSize
     * @param {String} params.CurrentIndex
     * @param {String} params.SortType
     * @param {String} params.KeyWord
     * @param {String} params.PaymentDate
     * @param {String} params.PaymentWay
     * @param {String} params.CreatedDate
     * @param {String} params.ProductType
     * @param {String} params.RefundStatus
     * @param {String} params.OrderStatus
     * @returns 
     */
    getProductOrderList:params=>{
        return get('/order/productOrderList',params)
    },
    /**
     * 支付明细列表 
     * @param {String} params.PageSize
     * @param {String} params.CurrentIndex
     * @param {String} params.SortType
     * @param {String} params.KeyWord
     * @param {String} params.PaymentDate
     * @param {String} params.PaymentWay
     * @param {String} params.CreatedDate
     * @param {String} params.OrderStatus
     * @param {String} params.IsRefund
     * @returns 
     */
    getTradeOrderList:params=>{
        return get('/order/tradeOrderList',params)
    },
    /**
     * 导出商品订单列表 
     * @param {String} params.SortType
     * @param {String} params.KeyWord
     * @param {String} params.PaymentDate
     * @param {String} params.PaymentWay
     * @param {String} params.CreatedDate
     * @param {String} params.ProductType
     * @param {String} params.RefundStatus
     * @param {String} params.OrderStatus
     * @returns 
     */
    getExportProductOrder:params=>{
        return get('/order/productOrder/export',params)
    },
    /**
     * 导出支付明细列表 
     * @param {String} params.SortType
     * @param {String} params.KeyWord
     * @param {String} params.PaymentDate
     * @param {String} params.PaymentWay
     * @param {String} params.CreatedDate
     * @param {String} params.OrderStatus
     * @param {String} params.IsRefund
     * @returns 
     */
    getExportTradeOrder:params=>{
        return get('/order/tradeOrder/export',params)
    },
    /**
     * 退款详情 
     * @param {String} params.ProductOrderNo
     * @returns 
     */
    getRefundDetail:params=>{
        return get('/order/refundDetail',params)
    },
    /**
     * 退款
     * @param {String} params.ProductOrderNo
     * @param {String} params.Remark
     * @returns 
     */
    postOrderRefund:params=>{
        return post('/order/refund',params)
    }
};
